/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.AutorizacionPerfilDAO;
import com.rjconsultores.ventaboletos.entidad.Autorizacion;
import com.rjconsultores.ventaboletos.entidad.AutorizacionPerfil;
import com.rjconsultores.ventaboletos.entidad.Perfil;
import com.rjconsultores.ventaboletos.service.AutorizacionPerfilService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("autorizacionPerfilService")
public class AutorizacionPerfilServiceImpl implements AutorizacionPerfilService {

    @Autowired
    private AutorizacionPerfilDAO autorizacionPerfilDAO;

    public List<AutorizacionPerfil> obtenerTodos() {
        return autorizacionPerfilDAO.obtenerTodos();
    }

    public AutorizacionPerfil obtenerID(Integer id) {
        return autorizacionPerfilDAO.obtenerID(id);
    }

    @Transactional
    public AutorizacionPerfil suscribir(AutorizacionPerfil entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return autorizacionPerfilDAO.suscribir(entidad);
    }

    @Transactional
    public AutorizacionPerfil actualizacion(AutorizacionPerfil entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return autorizacionPerfilDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(AutorizacionPerfil entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        autorizacionPerfilDAO.actualizacion(entidad);
    }

    public List<AutorizacionPerfil> buscar(Autorizacion autorizacion, Perfil perfil) {
        return autorizacionPerfilDAO.buscar(autorizacion, perfil);
    }
}
